program block_percentile;

(* reads file written by dat_cov.aml and 
   writes list of 
   polygon ll corner coordinates, npoints, 10, 20, 30 ..90, 100 percentile values *)
    
const 
  maxi = 4000;

type
  string20 = varying[20] of char;
var 
  xy, newxy : string20;
  i, i0, nsteps, n : integer;
  z : array[1..maxi] of string20; 
  aline : varying[255] of char; 
  ipercentile : array[1..10] of integer;
  
begin
  readln(aline);
  newxy := substr(aline,1,16);
  repeat
    i := 0;
    repeat
      xy := newxy;
      i := i+1;
      z[i] := substr(aline,17,8); 
      readln(aline);
      newxy := substr(aline,1,16);
    until (xy <> newxy) or eof;
    i0 := 1;
    while (z[i0] = '    0.00') and (i0 < i) do i0 := i0+1;
    nsteps := i - i0 + 1;
    for n := 1 to 10 do 
      begin
        ipercentile[n] := i0 - 1 + round(nsteps*n/10.0);
        if ipercentile[n] = 0 then ipercentile[n] := 1;
      end;  
    if (i0 = 1) and (z[i0] = '    0.00') then i0 := 0;   
    write(xy,' ',i:6,'  ',i0:6);
    if i0 < i then for n := 1 to 10 do write(' ',z[ipercentile[n]]:8)
       else for n := 1 to 10 do write(' ',0:8);
    writeln;  
  until eof;
end.  

(*
1234567890123456789012345
   32786    4394    0.00
*)
